/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.simpletags.html;

public interface IHtmlEvents
{

    /**
     * Gets the onClick javascript event.
     * @return the onClick event.
     */
    //String getOnClick();


    /**
     * Sets the onClick javascript event.
     * @param onclick - the onClick event.
     */
    void setOnClick(String onclick);

    /**
     * Gets the onDblClick javascript event.
     * @return the onDblClick event.
     */
    //String getOnDblClick();

    /**
     * Sets the onDblClick javascript event.
     * @param ondblclick - the onDblClick event.
     */
    void setOnDblClick(String ondblclick);

    /**
     * Gets the onKeyDown javascript event.
     * @return the onKeyDown event.
     */
    //String getOnKeyDown();

    /**
     * Sets the onKeyDown javascript event.
     * @param onkeydown - the onKeyDown event.
     */
    void setOnKeyDown(String onkeydown);

    /**
     * Gets the onKeyPress javascript event.
     * @return the onKeyPress event.
     */
    //String getOnKeyPress();

    /**
     * Sets the onKeyPress javascript event.
     * @param onkeypress - the onKeyPress event.
     */
    void setOnKeyPress(String onkeypress);

    /**
     * Gets the onKeyUp javascript event.
     * @return the onKeyUp event.
     */
    //String getOnKeyUp();

    /**
     * Sets the onKeyUp javascript event.
     * @param onkeyup - the onKeyUp event.
     */
    void setOnKeyUp(String onkeyup);

    /**
     * Gets the onMouseDown javascript event.
     * @return the onMouseDown event.
     */
    //String getOnMouseDown();

    /**
     * Sets the onMouseDown javascript event.
     * @param onmousedown - the onMouseDown event.
     */
    void setOnMouseDown(String onmousedown);

    /**
     * Gets the onMouseMove javascript event.
     * @return the onMouseMove event.
     */
    //String getOnMouseMove();

    /**
     * Sets the onMouseMove javascript event.
     * @param onmousemove - the onMouseMove event.
     */
    void setOnMouseMove(String onmousemove);

    /**
     * Gets the onMouseOut javascript event.
     * @return the onMouseOut event.
     */
    //String getOnMouseOut();

    /**
     * Sets the onMouseOut javascript event.
     * @param onmouseout - the onMouseOut event.
     */
    void setOnMouseOut(String onmouseout);

    /**
     * Gets the onMouseOver javascript event.
     * @return the onMouseOver event.
     */
    //String getOnMouseOver();

    /**
     * Sets the onMouseOver javascript event.
     * @param onmouseover - the onMouseOver event.
     */
    void setOnMouseOver(String onmouseover);

    /**
     * Gets the onMouseUp javascript event.
     * @return the onMouseUp event.
     */
    //String getOnMouseUp();

    /**
     * Sets the onMouseUp javascript event.
     * @param onmouseup - the onMouseUp event.
     */
    void setOnMouseUp(String onmouseup);
}
