/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.tags.html;

public interface HtmlConstants
{
    //************************ The IHtmlCore properties  *********************************
    /**
     * The name of the <code>style</code> attribute.
     */
    static final String STYLE = "style";

    /**
     * The name of the <code>class</code> attribute.
     */
    static final String CLASS = "class";

    /**
     * The name of the <code>id</code> attribute.
     */
    static final String ID = "id";

    /**
     * The name of the <code>title</code> attribute.
     */
    static final String TITLE = "title";

    //************************ The IHtmlI18n properties  *********************************
    /**
     * The name of the <code>dir</code> attribute.
     */
    static final String DIR = "dir";

    /**
     * The name of the <code>lang</code> attribute.
     */
    static final String LANG = "lang";

    //************************  The IHtmlEvent properties  *******************************
    /**
     * The name of the <code>onchange</code> attribute.
     */
    static final String ONCHANGE = "onchange";

    /**
     * The name of the <code>onclick</code> attribute.
     */
    static final String ONCLICK = "onclick";

    /**
     * The name of the <code>ondblclick</code> attribute.
     */
    static final String ONDBLCLICK = "ondblclick";

    /**
     * The name of the <code>onkeydown</code> attribute.
     */
    static final String ONKEYDOWN = "onkeydown";

    /**
     * The name of the <code>onkeypress</code> attribute.
     */
    static final String ONKEYPRESS = "onkeypress";

    /**
     * The name of the <code>onkeyup</code> attribute.
     */
    static final String ONKEYUP = "onkeyup";

    /**
     * The name of the <code>onload</code> attribute.
     */
    static final String ONLOAD = "onload";

    /**
     * The name of the <code>onmousedown</code> attribute.
     */
    static final String ONMOUSEDOWN = "onmousedown";

    /**
     * The name of the <code>onmouseup</code> attribute.
     */
    static final String ONMOUSEUP = "onmouseup";

    /**
     * The name of the <code>onmousemove</code> attribute.
     */
    static final String ONMOUSEMOVE = "onmousemove";

    /**
     * The name of the <code>onmouseover</code> attribute.
     */
    static final String ONMOUSEOVER = "onmouseover";

    /**
     * The name of the <code>onmouseout</code> attribute.
     */
    static final String ONMOUSEOUT = "onmouseout";

    /**
     * The name of the <code>onreset</code> attribute.
     */
    static final String ONRESET = "onreset";

    /**
     * The name of the <code>onselect</code> attribute.
     */
    static final String ONSELECT = "onselect";

    /**
     * The name of the <code>onsubmit</code> attribute.
     */
    static final String ONSUBMIT = "onsubmit";

    /**
     * The name of the <code>onunload</code> attribute.
     */
    static final String ONUNLOAD = "onunload";

    //****************************** cellhalign  ************************************************
    /**
     * The name of the <code>align</code> attribute.
     */
    static final String ALIGN = "align";

    /**
     * The name of the <code>char</code> attribute.
     */
    static final String CHAR = "char";

    //****************************** cellvalign  ************************************************
    /**
     * The name of the <code>char</code> attribute.
     */
    static final String VALIGN = "valign";

    /**
     * The name of the <code>charoff</code> attribute.
     */
    static final String CHAROFF = "charoff";

    //****************************** Other attribute constants  *********************************

    /**
     * The name of the <code>abbr</code> attribute.
     */
    static final String ABBR = "abbr";

    /**
     * The name of the <code>accesskey</code> attribute.
     */
    static final String ACCESSKEY = "accesskey";

    /**
     * The name of the <code>accept</code> attribute.
     */
    static final String ACCEPT = "accept";

    /**
     * The name of the <code>action</code> attribute.
     */
    static final String ACTION = "action";

    /**
     * The name of the <code>alt</code> attribute.
     */
    static final String ALT = "alt";

    /**
     * The name of the <code>axis</code> attribute.
     */
    static final String AXIS = "axis";

    /**
     * The name of the <code>background</code> attribute.
     */
    static final String BACKGROUND = "background";

    /**
     * The name of the <code>bgcolor</code> attribute.
     */
    static final String BGCOLOR = "bgcolor";

    /**
     * The name of the <code>border</code> attribute.
     */
    static final String BORDER = "border";

    /**
     * The name of the <code>cellspacing</code> attribute.
     */
    static final String CELLSPACING = "cellspacing";

    /**
     * The name of the <code>cellpadding</code> attribute.
     */
    static final String CELLPADDING = "cellpadding";

    /**
     * The name of the <code>charset</code> attribute.
     */
    static final String CHARSET = "charset";

    /**
     * The name of the <code>checked</code> attribute.
     */
    static final String CHECKED = "checked";

    /**
     * The name of the <code>cols</code> attribute.
     */
    static final String COLS = "cols";

    /**
     * The name of the <code>colspan</code> attribute.
     */
    static final String COLSPAN = "colspan";

    /**
     * The name of the <code>coords</code> attribute.
     */
    static final String COORDS = "coords";

    /**
     * The name of the <code>disabled</code> attribute.
     */
    static final String DISABLED = "disabled";

    /**
     * The name of the <code>enctype</code> attribute.
     */
    static final String ENCTYPE = "enctype";

    /**
     * The name of the <code>for</code> attribute.
     */
    static final String FOR = "for";

    /**
     * The name of the <code>frame</code> attribute.
     */
    static final String FRAME = "frame";

    /**
     * The name of the <code>headers</code> attribute.
     */
    static final String HEADERS = "headers";

    /**
     * The name of the <code>height</code> attribute.
     */
    static final String HEIGHT = "height";

    /**
     * The name of the <code>href</code> attribute.
     */
    static final String HREF = "href";

    /**
     * The name of the <code>hreflang</code> attribute.
     */
    static final String HREFLANG = "hreflang";

    /**
     * The name of the <code>hspace</code> attribute.
     */
    static final String HSPACE = "hspace";

    /**
     * The name of the <code>ismap</code> attribute.
     */
    static final String ISMAP = "ismap";

    /**
     * The name of the <code>language</code> attribute.
     */
    static final String LANGUAGE = "language";

    /**
     * The name of the <code>longdesc</code> attribute.
     */
    static final String LONGDESC = "longdesc";

    /**
     * The name of the <code>link</code> attribute.
     */
    static final String LINK = "link";

    /**
     * The name of the <code>alink</code> attribute.
     */
    static final String ALINK = "alink";

    /**
     * The name of the <code>vlink</code> attribute.
     */
    static final String VLINK = "vlink";

    /**
     * The name of the <code>method</code> attribute.
     */
    static final String METHOD = "method";

    /**
     * The name of the <code>maxlength</code> attribute.
     */
    static final String MAXLENGTH = "maxlength";

    /**
     * The name of the <code>name</code> attribute.
     */
    static final String NAME = "name";

    /**
     * The name of the <code>onblur</code> attribute.
     */
    static final String ONBLUR = "onblur";

    /**
     * The name of the <code>onfocus</code> attribute.
     */
    static final String ONFOCUS = "onfocus";

    /**
     * The name of the <code>readonly</code> attribute.
     */
    static final String READONLY = "readonly";

    /**
     * The name of the <code>rel</code> attribute.
     */
    static final String REL = "rel";

    /**
     * The name of the <code>rev</code> attribute.
     */
    static final String REV = "rev";

    /**
     * The name of the <code>rows</code> attribute.
     */
    static final String ROWS = "rows";

    /**
     * The name of the <rows>rowspan</code> attribute.
     */
    static final String ROWSPAN = "rowspan";

    /**
     * The name of the <code>rules</code> attribute.
     */
    static final String RULES = "rules";

    /**
     * The name of the <code>scope</code> attribute.
     */
    static final String SCOPE = "scope";

    /**
     * The name of the <code>shape</code> attribute.
     */
    static final String SHAPE = "shape";

    /**
     * The name of the <code>shape</code> attribute.
     */
    static final String SIZE = "size";

    /**
     * The name of the <code>src</code> attribute.
     */
    static final String SRC = "src";

    /**
     * The name of the <code>summary</code> attribute.
     */
    static final String SUMMARY = "summary";

    /**
     * The name of the <code>tabindex</code> attribute.
     */
    static final String TABINDEX = "tabindex";

    /**
     * The name of the <code>target</code> attribute.
     */
    static final String TARGET = "target";

    /**
     * The name of the <code>text</code> attribute.
     */
    static final String TEXT = "text";

    /**
     * The name of the <code>type</code> attribute.
     */
    static final String TYPE = "type";

    /**
     * The name of the <code>usemap</code> attribute.
     */
    static final String USEMAP = "usemap";

    /**
     * The name of the <code>value</code> attribute.
     */
    static final String VALUE = "value";

    /**
     * The name of the <code>vspace</code> attribute.
     */
    static final String VSPACE = "vspace";

    /**
     * The name of the <code>width</code> attribute.
     */
    static final String WIDTH = "width";

    //************************ The input type names  *********************************

    /**
     * The InputType for the <code>button</code>
     */
    static final String INPUT_BUTTON = "button";

    /**
     * The InputType for the <code>checkbox</code>
     */
    static final String INPUT_CHECKBOX = "checkbox";

    /**
     * The InputType for the <code>file</code>
     */
    static final String INPUT_FILE = "file";

    /**
     * The InputType for the <code>hidden</code>
     */
    static final String INPUT_HIDDEN = "hidden";

    /**
     * The InputType for the <code>image</code>
     */
    static final String INPUT_IMAGE = "image";

    /**
     * The InputType for the <code>password</code>
     */
    static final String INPUT_PASSWORD = "password";

    /**
     * The InputType for the <code>radio</code>
     */
    static final String INPUT_RADIO = "radio";

    /**
     * The InputType for the <code>reset</code>
     */
    static final String INPUT_RESET = "reset";

    /**
     * The InputType for the <code>submit</code>
     */
    static final String INPUT_SUBMIT = "submit";

    /**
     * The InputType for the <code>text</code>
     */
    static final String INPUT_TEXT = "text";

    /**
     * Form <code>post</code> constant
     */
    static final String FORM_POST = "post";

    /**
     * Form <code>get</code> constant
     */
    static final String FORM_GET = "get";

    //*************************** Element Names ************************

    /**
     * The name of the <code>a</code> element.
     */
    static final String ANCHOR = "a";

    /**
     * The name of the <code>area</code> element.
     */
    static final String AREA = "area";

    /**
     * The name of the <code>base</code> element.
     */
    static final String BASE = "base";

    /**
     * The name of the <code>body</code> element.
     */
    static final String BODY = "body";

    /**
     * The name of the <code>br</code> element.
     */
    static final String BR = "br";

    /**
     * The name of the <code>button</code> element.
     */
    static final String BUTTON = "button";

    /**
     * The name of the <code>caption</code> element.
     */
    static final String CAPTION = "caption";

    /**
     * The name of the <code>div</code> element.
     */
    static final String DIV = "div";

    /**
     * The name of the <code>form</code> element.
     */
    static final String FORM = "form";

    /**
     * The name of the <code>html</code> element.
     */
    static final String HTML = "html";

    /**
     * The name of the <code>image</code> element.
     */
    static final String IMAGE = "img";

    /**
     * The name of the <code>input</code> element.
     */
    static final String INPUT = "input";

    /**
     * The name of the <code>label</code> element.
     */
    static final String LABEL = "label";

    /**
     * The name of the <code>option</code> element.
     */
    static final String OPTION = "option";

    /**
     * The name of the <code>script</code> element.
     */
    static final String SCRIPT = "script";

    /**
     * The name of the <code>select</code> element.
     */
    static final String SELECT = "select";

    /**
     * The name of the <code>span</code> element.
     */
    static final String SPAN = "span";

    /**
     * The name of the <code>table</code> element.
     */
    static final String TABLE = "table";

    /**
     * The name of the <code>tbody</code> element.
     */
    static final String TBODY = "tbody";

    /**
     * The name of the <code>td</code> element.
     */
    static final String TD = "td";

    /**
     * The name of the <code>textarea</code> element.
     */
    static final String TEXTAREA = "textarea";

    /**
     * The name of the <code>th</code> element.
     */
    static final String TH = "th";

    /**
     * The name of the <code>thead</code> element.
     */
    static final String THEAD = "thead";

    /**
     * The name of the <code>tfoot</code> element.
     */
    static final String TFOOT = "tfoot";

    /**
     * The name of the <code>tr</code> element.
     */
    static final String TR = "tr";
}


