/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.test.core.chain.commands;

import org.apache.beehive.netui.core.chain.Command;
import org.apache.beehive.netui.core.chain.Context;

/**
 * 
 */
public class ConfigurableCommand
    implements Command {

    private String _foo;
    private int _bar;

    public String getFoo() {
        return _foo;
    }

    public void setFoo(String foo) {
        _foo = foo;
    }

    public int getBar() {
        return _bar;
    }

    public void setBar(int bar) {
        _bar = bar;
    }

    public boolean execute(Context context) throws Exception {
        System.out.println("foo: " + _foo + " bar: " + _bar);
        return false;
    }
}
